=== debian/changelog ===
salt (3004.1+dfsg-2) unstable; urgency=medium

  * Replace HgPillarTestCase patch with upstream commit
  * Drop skipping tests that do not fail any more
  * Update test_aptpkg.py patches to also fix test_expand_repo_def

 -- Benjamin Drung <bdrung@debian.org>  Sat, 16 Apr 2022 14:39:12 +0200

salt (3004.1+dfsg-1) unstable; urgency=medium

  * New upstream security/bugfix release. (Closes: #1008945)
    - Sign authentication replies to prevent MiTM (CVE-2022-22935)
    - Prevent job and fileserver replays (CVE-2022-22936)
    - Sign pillar data to prevent MiTM attacks. (CVE-2202-22934)
    - Fixed targeting bug, especially visible when using syndic and user auth.
      (CVE-2022-22941) (#60413)
    - Fix denial of service in junos ifconfig output parsing.
  * d/watch: Drop number from repack suffix
  * Refresh patches
  * Mark test_list_available_packages requiring network
  * Rely on pytest-skip-markers 1.1.0-3 that supports NO_INTERNET
  * Don't rely on importlib.metadata, it's still not ready for our usage
    (Closes: #1008896)
  * test_aptpkg.py: Fix UnboundLocalError: local variable 'test_repo'
    (Closes: #1006036)
  * Update my email address to @debian.org

 -- Benjamin Drung <bdrung@debian.org>  Sat, 16 Apr 2022 03:43:12 +0200

salt (3004+dfsg1-10) unstable; urgency=medium

  * test_aptpkg: Skip tests if /etc/apt/sources.list is missing

 -- Benjamin Drung <benjamin.drung@ionos.com>  Wed, 16 Feb 2022 10:46:42 +0100

salt (3004+dfsg1-9) unstable; urgency=medium

  * autopkgtest: Drop creating /tmp/salt-tests-tmpdir
  * Run 50 non-slow integration tests
  * Run 150 functional tests as well

 -- Benjamin Drung <benjamin.drung@ionos.com>  Mon, 14 Feb 2022 19:36:43 +0100

salt (3004+dfsg1-8) unstable; urgency=medium

  * Mock ip_addrs() in utils/minions.py unit test (Closes: #1005053)

 -- Benjamin Drung <benjamin.drung@ionos.com>  Mon, 07 Feb 2022 11:51:52 +0100

salt (3004+dfsg1-7) unstable; urgency=medium

  [ Lukas Märdian ]
  * Cherry-pick upstream commit (78525c9) to fix test failure on Python 3.10,
    using new 'collections.abc.Mapping' module

 -- Benjamin Drung <benjamin.drung@ionos.com>  Wed, 02 Feb 2022 12:41:06 +0100

salt (3004+dfsg1-6) unstable; urgency=medium

  * linux_sysctl.present: Fix replacing spaces by tabs (PR #61452)
  * Update patches to latest version pushed upstream

 -- Benjamin Drung <benjamin.drung@ionos.com>  Thu, 13 Jan 2022 22:58:10 +0100

salt (3004+dfsg1-5) unstable; urgency=medium

  * Fix test cases with PermissionError on /var/cache and forward it upstream
  * Update patches to latest version pushed upstream
  * Update lintian override for script-not-executable
  * Update year in debian/copyright

 -- Benjamin Drung <benjamin.drung@ionos.com>  Wed, 12 Jan 2022 17:14:14 +0100

salt (3004+dfsg1-4) unstable; urgency=medium

  * Make intersphinx_mapping patch upstreamable and forward it upstream
  * Drop support unittest.mock patch and use python3-mock
  * Fix black and isort issues in patches

 -- Benjamin Drung <benjamin.drung@ionos.com>  Wed, 17 Nov 2021 16:18:06 +0100

salt (3004+dfsg1-3) unstable; urgency=medium

  * Wrap long lines in Python code and documentation
  * Do not require contextvars for Python >= 3.7 (Closes: #999590)
  * Remove faulty dot in network interfaces template to fix network.managed
    state with bridge interfaces to break networking (Closes: #998655)
  * salt-doc: Replace duplicate image by symlinks

 -- Benjamin Drung <benjamin.drung@ionos.com>  Tue, 16 Nov 2021 18:46:14 +0100

salt (3004+dfsg1-2) unstable; urgency=medium

  * Fix test_ssh_kwargs to not access /etc/salt/pki
  * Depend on openssh-client for SSH test cases
  * Restore patch to replace os.getlogin by getpass.getuser
    (it was only merged upstream after the release of version 3004)

 -- Benjamin Drung <benjamin.drung@ionos.com>  Wed, 03 Nov 2021 14:25:15 +0100

salt (3004+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Drop 6 patches that were backported, accepted upstream, or unneeded
  * Refresh remaining patches
  * Require python3-saltfactories >= 0.907
  * Switch to pytest for running unit tests
  * Add new build dependencies for test cases: file, python3-apt,
    python3-passlib, python3-six
  * Mark test_buildout_bootstrap with pytest
  * Create /tmp/salt-tests-tmpdir before running tests
  * Mark tests that access /var/cache with skip_if_not_root
  * Skip failing test_salt_ext_six_import_override
  * Depend on iproute2 for salt.utils.network.linux_interfaces
  * Correct sfdisk recommendation to fdisk (Closes: #998077)
  * Drop removed six.py from copyright
  * Fix test cases with PermissionError on /var/cache/salt
  * Fix misspelled import of M2Crypto in test_crypt.py
  * Run only pytests with autopkgtest (otherwise it fails at the end)

 -- Benjamin Drung <benjamin.drung@ionos.com>  Tue, 02 Nov 2021 18:22:04 +0100

salt (3002.7+dfsg1-1) unstable; urgency=high

  * New upstream CVE security fix release fixing CVE-2021-21996 and
    CVE-2021-22004 (Closes: #994016)
  * Drop Fix-CVE-2021-31607-in-snapper-module.patch (applied upstream)
  * Update homepage URL to saltproject.io
  * Fix doc building with sphinx 4.2.0
  * Depend on bind9-dnsutils for NetworkTestCase.test_dig
  * Bump Standards-Version to 4.6.0
  * Update lintian overrides for lintian 2.108.0
  * Backport schedule.job_status from version 3003
  * templates: move the globals up to the Environment (Jinja2 3.0.0)
    (upstream #60811, closes: #996271)
  * Override lintan error python-traceback-in-manpage for salt man page
  * Depend on python3-m2crypto as alternative to python3-pycryptodome

 -- Benjamin Drung <benjamin.drung@ionos.com>  Wed, 13 Oct 2021 21:01:21 +0200
