=== debian/tests/control ===
Test-Command: cp -r conf scripts tests "$AUTOPKGTEST_TMP"; cd "$AUTOPKGTEST_TMP"; LC_ALL=C.UTF-8 NO_INTERNET=1 python3 -m pytest -ra tests/pytests/functional tests/pytests/integration tests/pytests/unit
Depends: bind9-dnsutils | dnsutils,
         file,
         openssh-client,
         python3-attr (>= 19.1),
         python3-augeas,
         python3-boto,
         python3-boto3,
         python3-cheetah,
         python3-cherrypy3,
         python3-consul,
         python3-croniter,
         python3-dnspython,
         python3-docker,
         python3-elasticsearch,
         python3-etcd,
         python3-genshi,
         python3-git,
         python3-hglib,
         python3-isodate,
         python3-jsonschema,
         python3-junos-eznc,
         python3-keyring,
         python3-kubernetes,
         python3-ldap,
         python3-libcloud (>= 0.14.1),
         python3-m2crypto | python3-pycryptodome | python3-crypto (>= 2.6),
         python3-mako,
         python3-mock,
         python3-mysqldb,
         python3-openssl,
         python3-passlib,
         python3-pip,
         python3-pygit2,
         python3-pyinotify,
         python3-pyroute2,
         python3-pytest (>= 6),
         python3-pytest-helpers-namespace (>= 2019.1.8),
         python3-pytest-skip-markers (>= 1.1.0-3~),
         python3-pytest-subtests,
         python3-pytest-tempdir (>= 2019.10.12),
         python3-pytoml,
         python3-pyvmomi,
         python3-saltfactories (>= 0.907.0-4~),
         python3-six,
         python3-twilio,
         python3-zmq (>= 13.1.0),
         salt-common,
         virtualenv,
         zip
Restrictions: allow-stderr
Features: test-name=unittest
