## salt 3004.2+ds

=== debian/changelog ===
salt (3004.2+ds-1) stable; urgency=medium

  * Build of Salt 3004.2 for Python 3

 -- Salt Project Packaging <saltproject-packaging@vmware.com>  Mon, 16 May 2022 13:14:48 +0000
