## salt 3005.1+ds

=== debian/changelog ===
salt (3005.1+ds-1) stable; urgency=medium

  * Build of Salt 3005.1 for Python 3

 -- Salt Project Packaging <saltproject-packaging@vmware.com>  Thu, 29 Sep 2022 15:10:33 +0000
