=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3 | python3-all | python3-dev | python3-all-dev,
                python3-debian,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.3.0
 Homepage: https://saltproject.io/
 Vcs-Browser: https://github.com/saltstack/salt.git
 Vcs-Git: git://github.com/saltstack/salt.git
@@ -30,15 +30,15 @@
          python3-yaml,
          python3-systemd,
          python3-psutil,
+         python3-distro,
          python3-pycryptodome,
-         python3-gnupg,
          python3-zmq (>= 17.0.0),
          ${misc:Depends},
          ${python3:Depends}
-Suggests: ifupdown, python3-pycurl, python3-twisted
 Recommends: lsb-release,
             python3-contextvars,
             python3-croniter
+Suggests: python3-pycurl, python3-twisted
 Breaks: python3-mako (<< 0.7.0)
 Description: shared libraries that salt requires for all packages
  salt is a powerful remote execution manager that can be used to
@@ -94,7 +94,7 @@
          salt-common (= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: debconf-utils, dmidecode, net-tools
+Recommends: debconf-utils, dmidecode
 Suggests: python3-augeas
 Description: client package for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
