## salt 3006.0+ds

=== debian/changelog ===
salt (3006.0+ds-1+240.1) stable; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Fri, 04 Jul 2025 09:31:33 +0000

salt (3006.0+ds-1) stable; urgency=medium

  * Build of Salt 3006.0 for Python 3

 -- SUSE Salt Maintainers <salt-maintainers@suse.de>  Thr, 20 Apr 2023 13:22:41 +0000
