=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3 | python3-all | python3-dev | python3-all-dev,
                python3-debian,
                python3-setuptools
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://saltproject.io/
 Vcs-Browser: https://github.com/saltstack/salt.git
 Vcs-Git: git://github.com/saltstack/salt.git
@@ -23,6 +23,7 @@
 Architecture: all
 Depends: python3-apt,
          python3-dateutil,
+	 python3-looseversion,
          python3-jinja2,
          python3-msgpack (>= 0.4),
          python3-pkg-resources,
@@ -30,15 +31,15 @@
          python3-yaml,
          python3-systemd,
          python3-psutil,
-         python3-distro,
          python3-pycryptodome,
+         python3-gnupg,
          python3-zmq (>= 17.0.0),
          ${misc:Depends},
          ${python3:Depends}
+Suggests: ifupdown, python3-pycurl, python3-twisted
 Recommends: lsb-release,
             python3-contextvars,
             python3-croniter
-Suggests: python3-pycurl, python3-twisted
 Breaks: python3-mako (<< 0.7.0)
 Description: shared libraries that salt requires for all packages
  salt is a powerful remote execution manager that can be used to
@@ -94,7 +95,7 @@
          salt-common (= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: debconf-utils, dmidecode
+Recommends: debconf-utils, dmidecode, net-tools
 Suggests: python3-augeas
 Description: client package for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
@@ -197,5 +198,3 @@
  The Salt API system is used to expose the fundamental aspects of Salt control
  to external sources. salt-api acts as the bridge between Salt itself and
  REST, Websockets, etc.
-
-
