## salt 3006.2

=== debian/changelog ===
salt (3006.2-2+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Wed, 23 Aug 2023 13:03:18 +0200

salt (3006.2-2) unstable; urgency=medium

  * version 3006.2-2

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 23 Aug 2023 13:03:18 +0200
